Description: patch upstream Makefile to address FTCBFS
 * Fix FTCBFS: (Closes: #939777)
   + Let dh_auto_build pass cross tools to make.
   + Makefile: don't hard code gcc
   + Pass a non-stripping install to make install.
   + Makefile: don't hard code install
Author: Helmut Grohne <helmut@subdivi.de>
Bug-Debian: https://bugs.debian.org/939777
Forwarded: no
Reviewed-By: tony mancill <tmancill@debian.org>
Last-Update: 2019-10-05

--- z8530-utils2-3.0-1.orig/Makefile
+++ z8530-utils2-3.0-1/Makefile
@@ -1,36 +1,38 @@
 VERSION = 3.0-1
 DIRECTORY = z8530drv-utils
 KERNEL  = `cat /proc/version | cut -d" " -f3`
-CCOPT   = -O2 -m486 -Wall -Wstrict-prototypes # -DCONFIG_SCC_STANDALONE
+CCOPT   = $(CPPFLAGS) $(CFLAGS) $(LDFLAGS)
+CCOPT   += -O2 -Wall -g -Wstrict-prototypes # -DCONFIG_SCC_STANDALONE
 
-all: utils install
+all: utils
 
 utils: sccparam sccstat sccinit gencfg kissbridge
 
 sccparam: sccparam.c
-	gcc ${CCOPT} sccparam.c -o $@
+	$(CC) ${CCOPT} sccparam.c -o $@
 
 sccstat: sccstat.c
-	gcc ${CCOPT} sccstat.c -o $@
+	$(CC) ${CCOPT} sccstat.c -o $@
 
 sccinit: sccinit.c
-	gcc ${CCOPT} sccinit.c -o $@
+	$(CC) ${CCOPT} sccinit.c -o $@
 
 gencfg: gencfg.c
-	gcc ${CCOPT} gencfg.c -o $@
+	$(CC) ${CCOPT} gencfg.c -o $@
 
 kissbridge: kissbridge.c
-	gcc ${CCOPT} kissbridge.c -o $@
+	$(CC) ${CCOPT} kissbridge.c -o $@
 
 install:
-	install -g root -o root -m 0755 -s sccstat /sbin/sccstat
-	install -g root -o root -m 0700 -s sccinit /sbin/sccinit
-	install -g root -o root -m 0700 -s sccparam /sbin/sccparam
-	install -g root -o root -m 0700 -s kissbridge /usr/sbin/kissbridge
-	install -g root -o root -m 0644 z8530drv.conf /etc/z8530drv.conf.ex
+	$(INSTALL) -s -g root -o root -m 0755 -s gencfg $(DESTDIR)/usr/bin/gencfg
+	$(INSTALL) -s -g root -o root -m 0755 -s sccstat $(DESTDIR)/usr/bin/sccstat
+	$(INSTALL) -s -g root -o root -m 0700 -s sccinit $(DESTDIR)/usr/sbin/sccinit
+	$(INSTALL) -s -g root -o root -m 0700 -s sccparam $(DESTDIR)/usr/sbin/sccparam
+	$(INSTALL) -s -g root -o root -m 0700 -s kissbridge $(DESTDIR)/usr/sbin/kissbridge
+	$(INSTALL) -g root -o root -m 0644 z8530drv.conf $(DESTDIR)/etc/z8530drv.conf
 
 clean:
-	rm -f *.o *~ doc/*~
+	rm -f *.o *~ doc/*~ sccstat sccinit sccparam gencfg kissbridge
 
 distrib:
 	( cd .. && tar zcvvf z8530drv-utils-${VERSION}.tar.gz \
@@ -49,7 +51,7 @@ lharc:
 	z8530drv-utils/z8530drv.conf z8530drv-utils/*.lsm)
 
 dep:
-	gcc ${CCOPT} -M sccstat.c sccinit.c sccparam.c kissbridge.c gencfg.c >.depend
+	$(CC) ${CCOPT} -M sccstat.c sccinit.c sccparam.c kissbridge.c gencfg.c >.depend
 
 ifeq (.depend,$(wildcard .depend))
 include .depend
